commit:     5556fc20147e895fe4e49e74be0b983d86420a91
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 26 03:27:21 2016 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Tue Jan 26 03:30:57 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5556fc20

www-servers/gunicorn: version bump to 19.4.5 (bug 572628)

Package-Manager: portage-2.2.27

 www-servers/gunicorn/Manifest               |  1 +
 www-servers/gunicorn/gunicorn-19.4.5.ebuild | 50 +++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/www-servers/gunicorn/Manifest b/www-servers/gunicorn/Manifest
index fdb3d07..56abf5a 100644
--- a/www-servers/gunicorn/Manifest
+++ b/www-servers/gunicorn/Manifest
@@ -1,2 +1,3 @@
 DIST gunicorn-19.1.1.tar.gz 385155 SHA256 
82715511fb6246fad4ba66d812eb93416ae8371b464fa88bf3867c9c177daa14 SHA512 
1b42f0dadb8ced12954e821ad3dc7fad67ae6f1123218fe79e32d7089d9ae65bcd973613c226d9a16b11d7d35632990f2c9499594c7a383a79698a1c2db471de
 WHIRLPOOL 
29c99b33b72d00dc248adedf89517804f58ee4ee36a3c9fdddb9d65ee047dd57d381d719e1ed44b7b5284f11ac703d29f3d66fd077f996de2ab9effa8fb15fda
 DIST gunicorn-19.3.0.tar.gz 395381 SHA256 
8bc835082882ad9a012cd790c460011e4d96bf3512d98a04d3dabbe45393a089 SHA512 
8c4e0bb1bf0b35aaf9160b9b7d87890a991451fbc86186454203f3483767858944704c1ec22dd52480ce1e4693e84b62b1428dd3b67b2ae925e0475dc08fcb50
 WHIRLPOOL 
7a840b5878b409d89a61dcca40632448e7b5a402b0e26ba03a65f3384a9491f06c2c69279cdfcc0013e2b6d7ee0de619d17437a60990d19f674653d29c83502a
+DIST gunicorn-19.4.5.tar.gz 399066 SHA256 
53b58044764ad79d732af18c580b1a54b724adf4d290ec19c4ca78ab22a1ee0d SHA512 
a255178a4ce7966af5883fc6c104e7c472c87ce91861caf976b52cfb0ccd90b34109130334afa6c1f6dd251a4b33b052b1f9a4f598c5cd1e7f26e332b92e9154
 WHIRLPOOL 
1ee0ea3b69ab10a2afa67b237a8197ff06334ab1df6b4dd84479bbc6360094c0806ace6c64a80032921321434d83a5b8831641bda966e826a5c8e3b4206eb3ac

diff --git a/www-servers/gunicorn/gunicorn-19.4.5.ebuild 
b/www-servers/gunicorn/gunicorn-19.4.5.ebuild
new file mode 100644
index 0000000..1ba44ba
--- /dev/null
+++ b/www-servers/gunicorn/gunicorn-19.4.5.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A WSGI HTTP Server for UNIX"
+HOMEPAGE="http://gunicorn.org https://pypi.python.org/pypi/gunicorn 
https://github.com/benoitc/gunicorn";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+RDEPEND="dev-python/setproctitle[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+DOCS="README.rst"
+
+python_prepare_all() {
+       sed -ie "s/..\/bin/\/usr\/bin\//" docs/Makefile || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       py.test -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/html/. )
+       use examples && EXAMPLES=( examples/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to